﻿using Entities;
using Microsoft.EntityFrameworkCore;

namespace DbContextLib;

public class LibraryContext : DbContext
{
    public DbSet<AthleteEntity> AthletesSet { get; set; }

    public DbSet<ActivityEntity> ActivitiesSet { get; set; }

    public DbSet<DataSourceEntity> DataSourcesSet { get; set; }
    public DbSet<HeartRateEntity> HeartRatesSet { get; set; }
    public DbSet<NotificationEntity> NotificationsSet { get; set; }
    public DbSet<StatisticEntity> StatisticsSet { get; set; }
    public DbSet<TrainingEntity> TrainingsSet { get; set; }

    public LibraryContext()
        :base()
    { }

    public LibraryContext(DbContextOptions<LibraryContext> options)
        :base(options)
    { }

    protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
    {
        if(!optionsBuilder.IsConfigured) 
        {
            optionsBuilder.UseSqlite($"Data Source=uca.HeartTrack.db");
        }
    }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        base.OnModelCreating(modelBuilder);
    }
}
