using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;


[Table("Activity")]
public class ActivityEntity
{
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int IdActivity { get; set; }
    [Required]
    [MaxLength(100)]
    public required string Type { get; set; }
    [Required(ErrorMessage = "Activity Date is required")]
    [DataType(DataType.DateTime)]
    [DisplayFormat(DataFormatString = "{0:MM/dd/yyyy}", ApplyFormatInEditMode = true)]
    public DateTime Date { get; set; }
    [Required(ErrorMessage = "Start Activity Hour is required")]
    [DataType(DataType.DateTime)]
    [DisplayFormat(DataFormatString = "{0:HH:mm;ss}", ApplyFormatInEditMode = true)]
    public DateTime StartTime { get; set; }
    [Required(ErrorMessage = "End Activity Hour is required")]
    [DataType(DataType.DateTime)]
    [DisplayFormat(DataFormatString = "{0:HH:mm;ss}", ApplyFormatInEditMode = true)]
    public DateTime EndTime { get; set; }
    public int EffortFelt { get; set; }
    public float Variability { get; set; }
    public float Variance { get; set; }
    public float StandardDeviation { get; set; }
    public float Average { get; set; }
    public int Maximum { get; set; }
    public int Minimum { get; set; }
    public float AverageTemperature { get; set; }
    public bool HasAutoPause { get; set; }
}