using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("HeartRate")]
public class HeartRateEntity
{
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int IdHeartRate { get; set; }
    public double Altitude { get; set; }
    [Required(ErrorMessage = "HeartRate Time is required")]
    [DataType(DataType.DateTime)]
    [DisplayFormat(DataFormatString = "{0:HH:mm;ss}", ApplyFormatInEditMode = true)]
    public DateTime Time { get; set; }
    public float Temperature { get; set; }
    public int Bpm { get; set; }
    public float Longitude { get; set; }
    public float Latitude { get; set; }
}