using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("Notification")]
public class NotificationEntity
{
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int IdNotif { get; set; }
    [MaxLength(100)]
    [Required] // dire obligatoire dans la base de données
    public string Message { get; set; } = null!; // pour dire pas null
    [Required(ErrorMessage = "Notification Date is required")]
    [DataType(DataType.DateTime)]
    [DisplayFormat(DataFormatString = "{0:MM/dd/yyyy - HH}", ApplyFormatInEditMode = true)]
    public DateTime Date { get; set; }
    public bool Statut { get; set; }
    [MaxLength(100)]
    public required string Urgence { get; set; }
}