using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.CompilerServices;

namespace Entities;

[Table("Training")]
public class TrainingEntity
{
    // ! donner plus de contraintes !!
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int IdTraining { get; set; }
    [Required(ErrorMessage = "Training Date is required")]
    [DataType(DataType.DateTime)]
    [DisplayFormat(DataFormatString = "{0:MM/dd/yyyy}", ApplyFormatInEditMode = true)]
    public DateTime Date { get; set; }
    [MaxLength(300)]
    public string? Description { get; set; }
    public float Latitude { get; set; }
    public float Longitude { get; set; }
    [MaxLength(300)]
    public string? FeedBack { get; set; }
}