using DbContextLib;
using Entities;
using Microsoft.EntityFrameworkCore;

namespace StubbedContextLib;

public class TrainingStubbedContext : StatisticStubbedContext
{
    public TrainingStubbedContext()
        :base()
    { }

    public TrainingStubbedContext(DbContextOptions<LibraryContext> options)
        :base(options)
    { }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        base.OnModelCreating(modelBuilder);
        
        modelBuilder.Entity<TrainingEntity>().HasData(
            new TrainingEntity { IdTraining = 1, Date = new DateTime(19/02/2024), Description = "Running", Latitude = 48.8566f, Longitude = 2.3522f, FeedBack = "Good" },
            new TrainingEntity { IdTraining = 2, Date = new DateTime(20/02/2024), Description = "Cycling", Latitude = 48.8566f, Longitude = 2.3522f },
            new TrainingEntity { IdTraining = 3, Date = new DateTime(21/02/2024), Latitude = 48.8566f, Longitude = 2.3522f, FeedBack = "Good" },
            new TrainingEntity { IdTraining = 4, Date = new DateTime(22/02/2024), Description = "Running", Latitude = 48.8566f, Longitude = 2.3522f, FeedBack = "Good" },
            new TrainingEntity { IdTraining = 5, Date = new DateTime(23/02/2024), Description = "Cycling", Latitude = 48.8566f, Longitude = 2.3522f }
        );
    }
}